openQA Infrastructure - action #89047

Failed to commit needles, gitlab account blocked 2021-02-24
2021-02-24 09:12 - okurz

Status: Resolved Start date: 2021-02-24
Priority: High Due date:

Assignee: nicksinger % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Ready

Description

Observation

Reported in https://chat.suse.de/channel/testing?msg=wpXCDohMos3AHXd2k

Failed to save welcome-before-select-product-sled-20210224.
Unable to fetch from origin master: Fetching origin
remote:

remote: =============================—==—=————————————————————————————————————=—===c
remote:

remote: Your account has been blocked.

remote:

remote:
remote:
fatal: Could not read from remote repository.

Please make sure you have the correct access rights

and the repository exists.
error: Could not fetch origin

Acceptance criteria

e AC1: Saving needles from OSD web Ul works again

Suggestions

¢ Check within the SSH config and such if the gitlab account "openga-pusher” is used with password from
https://gitlab.suse.de/openga/scripts/-/blob/master/password#L 11

e Try to unblock account by logging in over the webUI (did not work for okurz)

e Try to recover password or ask SUSE IT Englnfra for help

Related issues:

Related to openQA Infrastructure - action #75067: save_needle minion task fai... Resolved 2020-10-22

Related to openQA Infrastructure - action #67804: use non-personal account an... Resolved 2020-05-25 2020-11-05
Related to openQA Infrastructure - action #67213: pushing needles on osd to g... Resolved 2020-05-25

Related to openQA Infrastructure - action #42920: Gitlab user gets blocked: T... Resolved 2018-10-25

History

#1 - 2021-02-24 09:15 - nicksinger

- Assignee set to nicksinger

#2 - 2021-02-24 09:36 - nicksinger
- Status changed from Workable to Blocked

As already described by okurz the login is not possible as the password gets reported as "wrong". Resetting it over the idp-portal didn't work for me as
| have no clue what e-mail for that user is used. I've created infra-ticket "[RT-ADM #185915] AutoReply: [openga] openga-pusher account on gitlab
blocked" now.

#3 - 2021-02-24 10:48 - okurz
https://chat.suse.de/channel/testing?msg=wpXCDohMos3AHXd2k
https://gitlab.suse.de/openqa/scripts/-/blob/master/password#L11

| suggest to also reference URLs for Englnfra tickets, easier to click around this way :) So the according ticket is
https://infra.nue.suse.com/SelfService/Display.html?id=185915

#4 - 2021-02-24 11:18 - nicksinger

| never can see infra tickets anyway but good you put the link here :)
In the meantime while we wait for an answer | created https://gitlab.suse.de/nicksinger/github-autologin which could automate our gitlab login over the
webui in the future to avoid blocked accounts.

#5 - 2021-02-25 16:26 - okurz

It seems slindomansilla has replaced the git ssh URL with an https URL but | am not aware of any place where he might have documented that so
noting it here. This is a kinda workaround by allowing to pull from the gitlab repo but not allowing to push so this would need to be reverted as soon as
the account is ok again. Evzenie Sujskaja told me over private chat that they will add the employee flag to the openga-pusher account. Nothing heard
since this morning though.

#6 - 2021-02-25 16:28 - okurz

- Related to action #75067: save_needle minion task fails because "Your account has been blocked" added

#7 - 2021-02-25 16:28 - okurz

- Related to action #67804: use non-personal account and key for pushing needles on osd to gitlab.suse.de added

#8 - 2021-02-25 16:28 - okurz
- Related to action #67213: pushing needles on osd to gitlab.suse.de fails added

#9 - 2021-02-25 16:29 - okurz
- Related to action #42920: Gitlab user gets blocked: Try out gitlab deployment tokens for openQA added

#10 - 2021-02-25 17:23 - SLindoMansilla
Applying workaround:

changing remote from SSH url gitlab@gitlab.suse.de:openga/os-autoinst-needles-sles.git to HTTPS url
https://gitlab.suse.de/openqa/os-autoinst-needles-sles.git.

This allows to fetch data without user authentication, but doesn't allow by default any push (webui credentials would be needed)
geekotest@openga:~/share/tests/sle/products/sle/needles> git remote -v

origin https://gitlab.suse.de/openga/os-autoinst-needles-sles.git (fetch)

origin https://gitlab.suse.de/openga/os-autoinst-needles-sles.git (push)

origin-ssh gitlab@gitlab.suse.de:openga/os-autoinst-needles-sles.git (fetch)

origin-ssh gitlab@gitlab.suse.de:openga/os—autoinst-needles-sles.git (push)

When the gitlab account is unblocked, the following commands need to be executed

geekotest@openga:~/share/tests/sle/products/sle/needles> git remote rename origin origin-https
geekotest@openga:~/share/tests/sle/products/sle/needles> git remote rename origin-ssh origin

The https remote doesn't harm to be there, but if necessary, it can be removed with

geekotest@openga:~/share/tests/sle/products/sle/needles> git remote remove origin-https

#11 - 2021-02-25 17:28 - SLindoMansilla

At the moment there are two commits on osd needles clone that cannot be pushed.

Can anyone temporarily give push permissions to my gitlab user SLindoMansilla?

#12 - 2021-02-25 19:00 - nicksinger

- Status changed from Blocked to Resolved

We have the account back. | renamed the remotes accordingly and pushed/pulled left-overs. Everything seems fine.

#13 - 2021-02-25 19:02 - okurz
- Status changed from Resolved to Feedback

- Priority changed from Immediate to High

Glad to hear that. Thank you for fixing that. | assume though the password was changed and does not correspond anymore what is written in
https://gitlab.suse.de/openqga/scripts/-/blob/master/password ?

#14 - 2021-02-25 19:24 - nicksinger

- Priority changed from High to Immediate

https://gitlab.suse.de/openqga/scripts/-/merge_requests/438

#15 - 2021-02-25 19:24 - nicksinger

- Priority changed from Immediate to High
#16 - 2021-02-25 19:34 - sebchlad
nicksinger wrote:
We have the account back. | renamed the remotes accordingly and pushed/pulled left-overs. Everything seems fine.
not sure, maybe | do something wrong.
| tried to create hpc needle now in osd and got:

"Fatal error when saving needle.
Task for saving needles failed: Checkout Minion dashboard for further details."

#17 - 2021-02-25 20:01 - nicksinger
sebchlad wrote:
nicksinger wrote:
We have the account back. | renamed the remotes accordingly and pushed/pulled left-overs. Everything seems fine.
not sure, maybe | do something wrong.
| tried to create hpc needle now in osd and got:

"Fatal error when saving needle.
Task for saving needles failed: Checkout Minion dashboard for further details."

Thanks for reporting back. Seems like openga-gru was stuck somehow and didn't even write any error onto the minion dashboard. I've restarted the
service now and was able to save a needle. Please try again if it works for you :)

okurz I'd not create a bug about this now as | can't really provide any logging data. The journal was empty, no failed minion logged anything. Feel free
to create one anyway if you see the need for it

#18 - 2021-02-26 07:10 - sebchlad
nicksinger wrote:
sebchlad wrote:
nicksinger wrote:
We have the account back. | renamed the remotes accordingly and pushed/pulled left-overs. Everything seems fine.
not sure, maybe | do something wrong.
| tried to create hpc needle now in osd and got:

"Fatal error when saving needle.
Task for saving needles failed: Checkout Minion dashboard for further details."

Thanks for reporting back. Seems like openga-gru was stuck somehow and didn't even write any error onto the minion dashboard. I've restarted
the service now and was able to save a needle. Please try again if it works for you :)

yes, all works now. Thx.

#19 - 2021-02-26 08:24 - nicksinger

- Status changed from Feedback to Resolved
